package net.sevecek.dailyplanet;

import javax.validation.*;
import org.springframework.stereotype.*;
import org.springframework.validation.*;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.*;

@Controller
public class PrihlasovaciController {

    @RequestMapping(value = "/prihlaseni.html", method = RequestMethod.GET)
    public ModelAndView zobrazPrihlaseni() {
        ModelAndView drzacekNaSablonuAData;
        drzacekNaSablonuAData = new ModelAndView(
                "/WEB-INF/view/prihlaseni.jsp");
        drzacekNaSablonuAData.addObject("formular", new PrihlasovaciForm());
        return drzacekNaSablonuAData;
    }

    @RequestMapping(value = "/prihlaseni.html", method = RequestMethod.POST)
    public ModelAndView zpracujPrihlaseni(
            @Valid @ModelAttribute("formular") PrihlasovaciForm vyplnenyFormular,
            Errors validacniChyby) {
        if (validacniChyby.hasErrors()) {
            ModelAndView drzacekNaSablonuAData;
            drzacekNaSablonuAData = new ModelAndView(
                    "/WEB-INF/view/prihlaseni.jsp");
            return drzacekNaSablonuAData;
        }

        String prihlasovaciJmeno = vyplnenyFormular.getPrihlasovaciJmeno();
        String heslo = vyplnenyFormular.getHeslo();

        if (!(prihlasovaciJmeno.equals("clark.kent@dailyplanet.com") && heslo.equals("I/am/Superman"))
                &&
            !(prihlasovaciJmeno.equals("loise.lane@dailyplanet.com") && heslo.equals("I-love-Superman"))) {
            ModelAndView drzacekNaSablonuAData;
            drzacekNaSablonuAData = new ModelAndView(
                    "/WEB-INF/view/prihlaseni.jsp");
            vyplnenyFormular.setChybnePrihlaseni(true);
            return drzacekNaSablonuAData;
        }

        ModelAndView drzacekNaSablonuAData;
        drzacekNaSablonuAData = new ModelAndView("redirect:/hlavni.html");
        return drzacekNaSablonuAData;
    }

}
