<%@page contentType="text/html;charset=UTF-8" language="java"
%><%@taglib prefix="jstl" uri="http://java.sun.com/jsp/jstl/core"
%><%@taglib prefix="spring" uri="http://www.springframework.org/tags/form"
%><!doctype html>

<jsp:useBean id="formular"
             type="net.sevecek.dailyplanet.PrihlasovaciForm"
             scope="request"/>

<jstl:url var="cssLink" value="/css/styly.css"/>            <%-- jstl:url je zpusob jak ziskat absolutni adresu na soubor v ramci webove aplikaci. Pak lze pouzit ${cssLink} --%>
<jstl:url var="faviconLink" value="/images/favicon.png"/>   <%-- v absolutni adrese bude totiz zohledneno jmeno webove aplikace, napr. /MujWeb  --%>
<jstl:url var="rootLink" value="/"/>

<html lang="cs">
<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <link rel="stylesheet" href="${cssLink}"/>
    <link rel="icon" href="${faviconLink}"/>
    <title>Přihlášení uživatele | Daily Planet</title>
</head>
<body>
    <div class="page">
        <h1>Přihlaste se</h1>

        <jstl:if test="${formular.chybnePrihlaseni}">
            <p>Neplatné jméno nebo heslo</p>
        </jstl:if>

        <form method="post">
            <table>
                <tr>
                    <td>
                        <label for="jmeno">Přihlašovací jméno:</label>
                    </td>
                    <td>
                        <input id="jmeno" name="prihlasovaciJmeno"
                               value="${formular.prihlasovaciJmeno}">
                        <spring:errors path="formular.prihlasovaciJmeno"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <label for="hes">Heslo:</label>
                    </td>
                    <td>
                        <input id="hes" name="heslo" type="password"
                               value="${formular.heslo}">
                        <spring:errors path="formular.heslo"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                    <td>
                        <input type="submit" value="Přihlásit se">
                    </td>
                </tr>
                <tr>
                    <td>
                        <a href="zapomenute-heslo.html">Zapomenuté heslo</a>
                    </td>
                    <td>
                        <a href="registrace.html">Nová registrace</a>
                    </td>
                </tr>
            </table>
        </form>
    </div>
</body>
</html>
