<%@page contentType="text/html;charset=UTF-8" language="java"
%><%@taglib prefix="jstl" uri="http://java.sun.com/jsp/jstl/core"
%><%@taglib prefix="spring" uri="http://www.springframework.org/tags/form"
%><!doctype html>

<jsp:useBean id="formular"
             type="net.sevecek.dailyplanet.RegistraceForm"
             scope="request"/>

<jstl:url var="cssLink" value="/css/styly.css"/>            <%-- jstl:url je zpusob jak ziskat absolutni adresu na soubor v ramci webove aplikaci. Pak lze pouzit ${cssLink} --%>
<jstl:url var="faviconLink" value="/images/favicon.png"/>   <%-- v absolutni adrese bude totiz zohledneno jmeno webove aplikace, napr. /MujWeb  --%>
<jstl:url var="rootLink" value="/"/>

<html lang="cs">
<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <link rel="stylesheet" href="${cssLink}"/>
    <link rel="icon" href="${faviconLink}"/>
    <title>Přihlášení uživatele | Daily Planet</title>
</head>
<body>
    <div class="page">
        <h1>Zaregistrujte se</h1>

        <form method="post">
            <table>
                <tr>
                    <td>
                        <label for="jm">Křestní jméno:</label>
                    </td>
                    <td>
                        <input id="jm" name="krestniJmeno"
                               value="${formular.krestniJmeno}">
                        <spring:errors path="formular.krestniJmeno"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <label for="prijm">Příjmení:</label>
                    </td>
                    <td>
                        <input id="prijm" name="prijmeni"
                               value="${formular.prijmeni}">
                        <spring:errors path="formular.prijmeni"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <label for="em">Email:</label>
                    </td>
                    <td>
                        <input id="em" name="email"
                               value="${formular.email}">
                        <spring:errors path="formular.email"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <label for="tel">Telefon:</label>
                    </td>
                    <td>
                        <input id="tel" name="telefon"
                               value="${formular.telefon}">
                        <spring:errors path="formular.telefon"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <label for="hes">Heslo:</label>
                    </td>
                    <td>
                        <input id="hes" name="heslo" type="password"
                               value="${formular.heslo}">
                        <spring:errors path="formular.heslo"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <label for="hes2">Heslo (znovu):</label>
                    </td>
                    <td>
                        <input id="hes2" name="hesloZnovu" type="password"
                               value="${formular.hesloZnovu}">
                        <spring:errors path="formular.hesloZnovu"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                    <td>
                        <input type="submit" value="Zaregistrovat se">
                    </td>
                </tr>
            </table>
        </form>
    </div>
</body>
</html>
